<?php
// This file is part of
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

defined('MOODLE_INTERNAL') or die();
require_once($CFG->dirroot.'/lib/formslib.php');

class mod_gradeimporter_submissiontype_form extends moodleform {

    public function definition() {
        global $CFG, $DB;

        $mform = $this->_form;
        $submissiontype = $this->_customdata['submissiontype'];

        // --------------------
        // Form starts here
        $mform->addElement('header', 'general', get_string('general', 'form'));

        // Submission type name
        $mform->addElement('text', 'name', get_string('name', 'gradeimporter'), array('size' => '64'));
        $mform->setType('name', PARAM_TEXT);
        $mform->addRule('name', get_string('error_nameField', 'gradeimporter'), 'required', null, 'client');

        // Description
        $mform->addElement('editor', 'description_editor', get_string('submissionDescription', 'gradeimporter'));
        $mform->setType('description_editor', PARAM_TEXT);

        // Hidden fields
        $mform->addElement('hidden', 'id');
        $mform->setType('id', PARAM_INT);
        $mform->addElement('hidden', 'cmid');
        $mform->setType('cmid', PARAM_INT);
        $mform->addElement('hidden', 'gradeimporterid');
        $mform->setType('gradeimporterid', PARAM_INT);

        // Buttons
        $this->add_action_buttons();

        $this->set_data($submissiontype);
    }
}
